| Oyranos Colour Management System API

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Behaviour API
Defaults API
Collaboration diagram for Behaviour API:

## Functions
int | oySetBehaviour (oyBEHAVIOUR_e type, int choice)
int | oyGetBehaviour (oyBEHAVIOUR_e type)

## Detailed Description

Functions to set and query for behaviour on various actions in Oyranos.

Todo:
  is the missing description of available choices

Take a look at the Oyranos settings xml file. Options are described there.

Otherwise look at the oyranos-config-fltk application or the description on

ColourWiki.

## Function Documentation

int oyGetBehaviour | ( | oyBEHAVIOUR_e | type | ) |

Get a special behaviour.

Todo:
  The options should silently fallback to defaults.

Parameters

  type | the type of behaviour

Returns
  the behaviour option (-1 if not available or not set)

int oySetBehaviour | ( | oyBEHAVIOUR_e | type,
|  | int | choice
| ) |  |

Set a special behaviour. Usual in control panel in Oyranos.

Parameters

  type | the type of behaviour
  choice | the selected option

Returns
  error